For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
            • GETGet Product Variants Info
            • GETGet Variant Information
            • POSTGet Detailed Variant Information
          • Company
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCatalog

Get Detailed Variant Information

POST
https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad
POST
/api/v2/catalogs/quick-order-pad
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/catalogs/quick-order-pad \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "code": 200,
3 "message": "Success",
4 "data": [
5 {
6 "isStock": "0",
7 "stock": 0,
8 "variantSku": "HB-2-RE-ME",
9 "productId": "134",
10 "calculatedPrice": 15,
11 "imageUrl": "https://cdn.example.com/product_images/attribute_rule_images/2_source_1709578415.jpg",
12 "variantId": 119,
13 "baseSku": "HB-2",
14 "productName": "A Most Excellent Product",
15 "categories": [
16 24
17 ],
18 "option": [
19 {
20 "id": 113,
21 "label": "Red",
22 "option_id": 120,
23 "option_display_name": "Color"
24 }
25 ],
26 "minQuantity": 0,
27 "maxQuantity": 0,
28 "purchasingDisabled": "0",
29 "isVisible": "1",
30 "modifiers": [
31 {
32 "id": 122,
33 "productId": 134,
34 "name": "forced1709578669-134",
35 "displayName": "Custom Message",
36 "type": "text",
37 "required": true,
38 "sortOrder": 3,
39 "config": {
40 "defaultValue": "text",
41 "textCharactersLimited": false,
42 "textMinLength": 0,
43 "textMaxLength": 0
44 },
45 "optionValues": []
46 }
47 ]
48 }
49 ]
50}
Returns detailed information about the variants whose SKUs are provided in the body of the request. This includes the information from [Get Variant Information](#get-variant-information) as well as other variant data that may affect pricing, availability, and other factors. Details provided in the response body are sufficient to quickly add a product to a cart or a quote using appropriate methods. > Note: This endpoint uses the `POST` method, despite its use to only *retrieve* information. Using the `GET` method with this endpoint will return a `200` status, but the `data` field will be empty. Likewise, using `POST` with this endpoint with an empty body will return an empty `data` field. Equivalent Storefront GraphQL API Query: `variantSku`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Get Variant Information

Next

Companies and Users

Built with

Returns detailed information about the variants whose SKUs are provided in the body of the request. This includes the information from Get Variant Information as well as other variant data that may affect pricing, availability, and other factors.

Details provided in the response body are sufficient to quickly add a product to a cart or a quote using appropriate methods.

Note: This endpoint uses the POST method, despite its use to only retrieve information. Using the GET method with this endpoint will return a 200 status, but the data field will be empty. Likewise, using POST with this endpoint with an empty body will return an empty data field.

Equivalent Storefront GraphQL API Query: variantSku. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

currencyCodestringOptional

The three-letter currency code to use in price calculation. If not provided, defaults to the store’s default currency.

Request

This endpoint expects an object.
variantSkuslist of stringsOptional
List of variant SKUs for which to fetch detailed information. If this is omitted, the response will be empty.

Response

SUCCESS
codeinteger
HTTP status code of the response.
messagestring
Status message.
datalist of objects
List of product variant info objects.